Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.core
Class EMFFormsRendererFactoryImpl

    java.lang.Object
      org.eclipse.emfforms.internal.swt.core.EMFFormsRendererFactoryImpl

All Implemented Interfaces:
  EMFFormsRendererFactory

    public class EMFFormsRendererFactoryImpl

extends Object
implements EMFFormsRendererFactory

The default implementation of the EMFFormsRendererFactory.

Author:
  Eugen Neufeld

Constructor Summary
`EMFFormsRendererFactoryImpl()`

Method Summary
`void` | `addEMFFormsRendererService(EMFFormsRendererService<VElement> rendererService)` Called by the initializer to add an `EMFFormsRendererService`.
`void` | `clearRenderers()` Method for Tests to clear all services.
`Collection<AbstractAdditionalSWTRenderer<VElement>>` | `getAdditionalRendererInstances(VElement vElement, ViewModelContext viewModelContext)` Returns a collection of all additional renderer which contribute controls for the provided `VElement`.
`
`<VELEMENT extends VElement> AbstractSWTRenderer<VElement>`
` | `getRendererInstance(VELEMENT vElement, ViewModelContext viewModelContext)` Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.
`void` | `removeEMFFormsRendererService(EMFFormsRendererService<VElement> rendererService)` Called by the initializer to remove an `EMFFormsRendererService`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsRendererFactoryImpl

    public EMFFormsRendererFactoryImpl()

Method Detail

### addEMFFormsRendererService

    public void addEMFFormsRendererService(EMFFormsRendererService<VElement> rendererService)

  Called by the initializer to add an `EMFFormsRendererService`.

  Parameters:
    `rendererService` - The EMFFormsRendererService to add

### removeEMFFormsRendererService

    public void removeEMFFormsRendererService(EMFFormsRendererService<VElement> rendererService)

  Called by the initializer to remove an `EMFFormsRendererService`.

  Parameters:
    `rendererService` - The EMFFormsRendererService to remove

### getRendererInstance

    public <VELEMENT extends VElement> AbstractSWTRenderer<VElement> getRendererInstance(VELEMENT vElement,
                                                                                         ViewModelContext viewModelContext)
                                                      throws EMFFormsNoRendererException

  Returns the renderer which fits the provided `VElement` and `ViewModelContext` the most.

  Specified by:
    `getRendererInstance` in interface `EMFFormsRendererFactory`
  Type Parameters:
    `VELEMENT` - The VElement type
  Parameters:
    `vElement` - the `VElement` to find the renderer for
    `viewModelContext` - the `ViewModelContext` to find the renderer for
  Returns:
    the renderer
  Throws:
    `EMFFormsNoRendererException`
  See Also:
    `EMFFormsRendererFactory.getRendererInstance(VElement,ViewModelContext)`

### getAdditionalRendererInstances

    public Collection<AbstractAdditionalSWTRenderer<VElement>> getAdditionalRendererInstances(VElement vElement,
                                                                                              ViewModelContext viewModelContext)

  Returns a collection of all additional renderer which contribute controls for the provided `VElement`.

  Specified by:
    `getAdditionalRendererInstances` in interface `EMFFormsRendererFactory`
  Parameters:
    `vElement` - the `VElement` to get additional renderer for
    `viewModelContext` - the `ViewModelContext` to check
  Returns:
    the Collection of additional renderer
  See Also:
    `EMFFormsRendererFactory.getAdditionalRendererInstances(VElement, ViewModelContext)`

### clearRenderers

    public void clearRenderers()

  Method for Tests to clear all services.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.